Get extended Agent Card for a specific role
GET
/api/v1/a2a/agents/{role}/extended-card
const url = 'https://api.ultimateteam.ai/api/v1/a2a/agents/example/extended-card';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/a2a/agents/example/extended-card \ --header 'X-API-Key: <X-API-Key>'Get the extended Agent Card for a specific role.
Card detail level varies by the caller’s subscription plan tier. Enterprise callers receive full model configuration and schemas.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”role
required
Role
Agent role (ceo, cro, cfo, cmo, coo, cto, ciso, cio)
string
Agent role (ceo, cro, cfo, cmo, coo, cto, ciso, cio)
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Get Extended Agent Card Api V1 A2A Agents Role Extended Card Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}